Package Details: grub-theme-stylish-white-1080p-git 2021.09.19.r0.g2b42974-1

Git Clone URL: https://aur.archlinux.org/grub-themes-git.git (read-only, click to copy)
Package Base: grub-themes-git
Description: Flat Design themes for Grub
Upstream URL: https://github.com/vinceliuice/grub2-themes
Licenses: GPL3
Conflicts: grub-theme-stylish-white-1080p
Provides: grub-theme-stylish-white-1080p
Submitter: dctxmei
Maintainer: dctxmei (lilac)
Last Packager: lilac
Votes: 15
Popularity: 0.023627
First Submitted: 2021-01-28 07:59 (UTC)
Last Updated: 2021-09-21 12:41 (UTC)

Latest Comments

AchmadFathoni commented on 2021-12-07 09:58 (UTC)

install: cannot stat 'backgrounds/1080p/background-slaze.jpg': No such file or directory

tioguda commented on 2021-09-25 15:39 (UTC)

info.png should be installed in /boot/grub/themes instead of /usr/share/grub/themes.

Sunner commented on 2021-09-16 15:20 (UTC)

Doesn't work with the newest version, I get an error saying:

error: file '/usr/share/grub/themes/vimix-color-1080p/info.png' not found

I assume this file is new and needs to be packaged.

ortonomy commented on 2021-08-28 12:32 (UTC)

This theme is not detected/useable by grub-customizer....

Rulatir commented on 2021-08-09 00:27 (UTC)

Weird behavior here. makepkg sits for a very long time seemingly doing nothing right at the beginning, and then again after "Entering fakeroot environment...". Like several minutes each time.

dctxmei commented on 2021-01-28 08:28 (UTC)

@FirstAirBender,

Please try grub-themes-git instead: https://aur.archlinux.org/pkgbase/grub-themes-git/

:)

Sunner commented on 2021-01-27 13:51 (UTC)

Doesn't work anymore with the newest commit:

install: cannot stat 'assets/assets-white/select-4k/*': No such file or directory
==> ERROR: A failure occurred in package().
    Aborting...
error making: grub-theme-vimix-git

FirstAirBender commented on 2021-01-26 08:43 (UTC)

Needs an update to the paths.

install -Dm 644 "assets/assets-color/select-$resolution"/* "$pkgdir/usr/share/grub/themes/$name"

Should be

install -Dm 644 "assets/assets-select/select-$resolution"/* "$pkgdir/usr/share/grub/themes/$name"

FirstAirBender commented on 2021-01-26 08:42 (UTC)

Needs an update to the paths.

install -Dm 644 "assets/assets-color/select-$resolution"/* "$pkgdir/usr/share/grub/themes/$name"

Should be

install -Dm 644 "assets/assets-select/select-$resolution"/* "$pkgdir/usr/share/grub/themes/$name"

FirstAirBender commented on 2021-01-26 08:41 (UTC)

Needs an update to the paths.

install -Dm 644 "assets/assets-color/select-$resolution"/* "$pkgdir/usr/share/grub/themes/$name"

Should be

install -Dm 644 "assets/assets-select/select-$resolution"/* "$pkgdir/usr/share/grub/themes/$name"

sian1468 commented on 2019-12-18 11:49 (UTC)

@dctxmei Solved! thank you.

dctxmei commented on 2019-12-18 11:06 (UTC)

@sian1468 Are you using the AUR software manager? Don't worry, you can just ignore it or write the package to /etc/pacman.conf:

IgnorePkg = grub-theme-slaze-git

Then wait for the next update from the github repository.

sian1468 commented on 2019-12-18 10:00 (UTC)

Can you change pkgver from 20191216 to 20191206(latest git commit) ? It make update loop on my side.

dctxmei commented on 2019-12-16 08:00 (UTC)

@berturion @SolarAquarion Thanks for reminding, the wrong path of the configuration file has been fixed.

SolarAquarion commented on 2019-12-12 15:36 (UTC)

install: cannot stat 'assets/assets-tela/icons-1080p/*': No such file or directory

berturion commented on 2019-12-08 05:53 (UTC)

Hello, I have this error today on an update (sorry it is in french but I think you will see what is happening):

==> Extraction des sources…
  -> Création d’une copie de travail du dépot grub-theme-tela git…
Clonage dans 'grub-theme-tela'...
fait.
==> Lancement de pkgver()…
==> Version mise à jour : grub-theme-tela-git 20191206-1
==> Les sources sont prêtes.
==> Création du paquet grub-theme-tela-git 20191206-1 (dim. 08 déc. 2019 09:51:09 +04)
==> Vérification des dépendances pour l’exécution…
==> Vérification des dépendances pour la compilation…
==> ATTENTION : Utilisation de l’arbre $srcdir/ existant
==> Lancement de pkgver()…
==> Suppression du répertoire $pkgdir/ existant…
==> Entre dans l’environnement fakeroot…
==> Lancement de package()…
install: impossible d'évaluer 'assets/assets-tela/icons-4k/*': Aucun fichier ou dossier de ce type
==> ERREUR : Une erreur s’est produite dans package().
    Abandon…
Error making: grub-theme-tela-git

berturion commented on 2019-10-31 20:56 (UTC)

@dctxmei Thank you for maintaining those grub theme packages. They are very good. I can confirm installation is working now.

dctxmei commented on 2019-10-27 18:57 (UTC)

@berturion Thanks for the hint, fixed.

berturion commented on 2019-10-27 10:00 (UTC)

Hello, Since last update, I can not install it, the message is:

install: impossible d'évaluer 'assets/assets-white/icons/*': Aucun fichier ou dossier de ce type

dctxmei commented on 2019-08-11 23:15 (UTC)

@dkasak Thank you for your suggestion, it has been corrected.

dkasak commented on 2019-08-01 09:20 (UTC)

May I suggest installing this to /usr/share/grub instead of /boot/grub? This is how the grub-theme-vimix package does it.

nicoulaj commented on 2019-02-19 15:28 (UTC)

This package fetches sources from git master, it should be named "-git". The non-git version should use the tag at https://github.com/vinceliuice/grub2-themes/releases/tag/1.2.

Also, package() should not print this message with wrong path, it is done in install script.

den4i commented on 2018-06-15 03:35 (UTC)

there is error: /home/denis/.cache/yay/grub-themes-vimix/PKGBUILD: line 21: cd: grub2-themes/grub-themes-vimix: No such file or directory

in upstream repo folder was renamed to grub-theme-vimix. without s in the end

berocs commented on 2018-04-03 17:44 (UTC) (edited on 2018-04-03 17:44 (UTC) by berocs)

The PKGBUILD tells you to add the line GRUB_THEME="/boot/grub/themes/StylishDark/theme.txt" to your /etc/default/grub, when instead it should be GRUB_THEME="/boot/grub/themes/Vimix/theme.txt".